<?xml version="1.0" encoding="UTF-8" ?>

<!DOCTYPE struts-config PUBLIC
          "-//Apache Software Foundation//DTD Struts Configuration 1.2//EN"
          "http://jakarta.apache.org/struts/dtds/struts-config_1_2.dtd">
<struts-config>
    <form-beans>
        <form-bean name="MensajeForm" type="javabeans.MensajeForm"/>
    </form-beans>
    <global-forwards>
        <forward name="previoenvio"  path="/paginaenvio.jsp"/>
        <forward name="previolectura"  path="/paginasolicitud.jsp"/>
        <forward name="inicio"  path="/paginainicio.jsp"/>
    </global-forwards>   
    <action-mappings>      
        <action name="MensajeForm" path="/grabar" scope="request" type="servlets.EnviarAction" >
            <forward name="grabado" path="/paginainicio.jsp"/>
        </action>
        <action path="/mostrar" type="servlets.RecuperarAction">
            <forward name="visualiza" path="/paginamuestra.jsp"/>
            <forward name="sinmensajes" path="/paginanomensajes.jsp"/>
        </action>   
    </action-mappings>
    <controller processorClass="org.apache.struts.tiles.TilesRequestProcessor"/>
    <plug-in className="org.apache.struts.tiles.TilesPlugin" >
        <set-property property="definitions-config" value="/WEB-INF/tiles-defs.xml" />      
        <set-property property="moduleAware" value="true" />
    </plug-in>
</struts-config>
